curl --request PATCH \
--url https://api.backside.app/api/v1/tasks/{id}/priority \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"cascaded": [
{
"new_priority_key": "<string>",
"reason": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"new_priority_key": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}curl --request PATCH \
--url https://api.backside.app/api/v1/tasks/{id}/priority \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"before_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"cascaded": [
{
"new_priority_key": "<string>",
"reason": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"new_priority_key": "<string>",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Task ID
Body of PATCH /api/v1/tasks/{id}/priority. At least one of the two
neighbor IDs must be present.
Place the target immediately after this task (target's key > this
task's key). NULL with before_task_id set means "move to top".
Place the target immediately before this task (target's key < this
task's key). NULL with after_task_id set means "move to bottom".
Was this page helpful?